//--- dichiarazione iniziale delle variabili globali (opzionale in questo caso) -----------
  //per maggiore chiarezza denominiamo pin_segnali il pin 3
#define pin_segnali 3 
int valore;
//--------------------- SETUP INIZIALE -----------------------------------------------------
void setup() {
  // Le istruzioni per il setup iniziale vengono eseguite una sola volta:
  Serial.begin(9600); //inizializza il monitor seriale impostando la velocità di trasmissione
  pinMode(pin_segnali,OUTPUT);  // imposta come pin di uscita il pin denominato pin_segnali
}

//-------------------- ISTRUZIONI ESEGUITE IN MODO RIPETITIVO --------------------------------------
void loop() {
 // codice principale, viene eseguito in modo ripetitivo:
  digitalWrite(pin_segnali,HIGH); // porta a livello alto (5 V) il pin
  delay(1);                       // aspetta 1 ms (mantieni il livello alto per 1 ms) 
  digitalWrite(pin_segnali,LOW);  // porta a livello basso (0 V) il pin
  delay(1);                       // aspetta 1 ms (mantieni il livello basso per 1 ms)
  digitalWrite(pin_segnali,HIGH);
  delay(1);
  digitalWrite(pin_segnali,LOW); // porta a livello basso (0 V) il pin (per separare i segnali)
  delay(5);                      // aspetta 5 ms prima di passare alla modalità PWM
  valore = 25*255/100;   //calcola il valore per ottenere un duty cycle del 25%
  Serial.print("Valore corrispondente al duty cycle 25%:  "); //visualizza sul monitor seriale il valore calcolato
  Serial.println(valore);
  analogWrite(pin_segnali,valore);   // imposta il pin per avere un’uscita PWM con duty cycle del 25%
  delay(20);                     //per 20 ms 
  digitalWrite(pin_segnali,LOW); // porta a livello basso (0 V) il pin (per separare i segnali)
  delay(5);                       // aspetta 5 ms
  valore=75*255/100;  //calcola il valore per ottenere un duty cycle del 75%
  Serial.print("Valore corrispondente al duty cycle 75%:  ");
  Serial.println(valore);
  analogWrite(pin_segnali,valore);   // imposta il pin per avere un’uscita PWM con duty cycle del 75% 
  delay(20);                      // per 20 ms
  digitalWrite(pin_segnali,LOW);
  delay(5);
}
//---------------------------------------------------------------------------------------------------
