//--- dichiarazione iniziale delle variabili globali (opzionale in questo caso) -----------
  
#define pin_LED 3  //per maggiore chiarezza denominiamo il pin 3 che pilota il LED come pin_LED
int D =0; // la variabile D è proporzionale al duty cycle
//--------------------- SETUP INIZIALE -----------------------------------------------------
void setup() {
  // Le istruzioni per il setup iniziale vengono eseguite una sola volta:
  Serial.begin(9600); // inizializza il monitor seriale 
  pinMode(pin_LED,OUTPUT);  // imposta come pin di uscita il pin 9 denominato pin_LED
}

//-------------------- ISTRUZIONI ESEGUITE IN MODO RIPETITIVO --------------------------------------
void loop() {
 // codice principale, viene eseguito in modo ripetitivo:
  Serial.print("Valore di D: "); // Manda sul monitor seriale il valore di D
  Serial.println(D);
  // 
  analogWrite(pin_LED, D); // il segnale PWM in uscita dal pin_LED ha duty cycle proporzionale a D
  delay(1000); //mantieni il segnale  PWM per 1 s
  //
  if (D<250) {; // se D è < 250 il duty cycle è inferiore al 100% 
  D = D+25;    // incrementa D di 25 e quindi aumenta il duty cycle di circa 10 
  }
  else{ 
  D = 255; //se D=250 portalo a 255 (massimo)
  Serial.print("Valore di D: ");        //       ...
  Serial.println(D);
  analogWrite(pin_LED, D);
  delay(1000); //mantieni il segnale per 1 s
  D=0; //resetta D prima di ricominciare
  }
  //
}
//---------------------------------------------------------------------------------------------------
