/* lettura ingresso analogico, confronto con tensione di riferimento e visualizzazione con LED e su monitor seriale*/
#define pin_pot A2    //per maggiore chiarezza indichiamo con un nome i pin 
#define pin_LED 10    // a cui sono collegati il potenziometro e il LED
int pot;  //variabile che conterrà il numero decimale restituito dalla conversione A/D
float volt; //variabile che conterrà il valore in volt della tensione sul pin_pot
//------------------------------------------------------
void setup() {
Serial.begin(9600);
pinMode(pin_LED,OUTPUT); // imposta come uscita il pin con il LED di segnalazione
}
//------------------------------------------------------
void loop() {
pot=analogRead(pin_pot); // lettura ingresso analogico
Serial.println("------------------------------------------------------------");
Serial.print("Valore numerico letto sul pin: ");
Serial.println(pot);
volt=pot*(5.0/1023.0);// conversione del valore decimale in tensione
if (volt <= 2.5) {
  Serial.print("Tensione entro i limiti consentiti: ");
  Serial.print(volt);
  Serial.println("  V");
  digitalWrite(pin_LED,LOW); //spegni il LED
  delay(2000); //aspetta 2 s prima di andare avanti
  }
else {
  Serial.print("La Tensione supera il limite di 2.5 V: ");
  Serial.print(volt);
  Serial.println("  V");
  digitalWrite(pin_LED,HIGH); //accendi il LED
  delay(1000); //tiene acceso il LED per 1 secondo
  digitalWrite(pin_LED,LOW); // spegni il LED
  delay(1000); //tiene spento per 1 secondo
}
}
