/* Uso dei pin digitali come uscite e ingressi*/
#define pin_puls 7 
#define pin_LED_rosso 12 //associamo ai pin un nome 
#define pin_LED_verde 13
bool puls; //variabile booleana che indica lo stato del pulsante

//------------------------------------------------------
void setup() {
Serial.begin(9600);
pinMode(pin_puls, INPUT_PULLUP);  //imposta come ingresso
pinMode(pin_LED_rosso, OUTPUT);  // imposta come uscita
pinMode(pin_LED_verde, OUTPUT);
}
//------------------------------------------------------
void loop() {
  puls = digitalRead(pin_puls); //leggi lo stato del pulsante
  delay (20);
  if (puls==1) { //se il pulsante è rilasciato
     digitalWrite( pin_LED_rosso, HIGH); //Accendi il LED rosso
     digitalWrite( pin_LED_verde, LOW); //spegni il LED verde
     Serial.println("Pulsante rilasciato: ho acceso il LED rosso e spento il LED verde");
     delay(500);
     }
  else {
     digitalWrite( pin_LED_rosso, LOW); //spegni il LED rosso
     digitalWrite( pin_LED_verde, HIGH); //accendi il LED verde
     Serial.println("Pulsante premuto: ho spento il LED rosso e acceso il LED verde");
     delay(500);
    }
}
