//----- Sketch per acquisire valori di tensione su un pin analogico ------------
// ------------ Dichiarazione delle variabili globali --------------------------
#define pin_input A5     //denominiamo pin_input il pin analogico n. 5 (A5)
int num_decimale; 
float val_tensione;
float conv, passo;        
//--------------------- SETUP INIZIALE -----------------------------------------------------
void setup() {
  // istruzioni eseguite una sola volta:
Serial.begin(9600); // inizializza il monitor seriale
conv = 5.0/1023.0; //fattore di conversione da numero a tensione
passo = 5.0/1024.0; //risoluzione del convertitore A/D
Serial.print("Fattore di conversione: ");
Serial.println(conv,5);  // visualizza sul monitor seriale valori con 5 cifre decimali 
                          //e andando a capo alla fine  
Serial.print("Risoluzione o passo: ");
Serial.println(passo,5);  // visualizza sul monitor seriale valori con 5 cifre decimali 
                          //e andando a capo alla fine
}
//-------------------- ISTRUZIONI ESEGUITE IN MODO RIPETITIVO --------------------------------------
void loop() {
num_decimale = analogRead(pin_input); /*numero compreso tra 0 e 1023 ottenuto convertendo
                                      in digitale il valore di tensione applicato al pin_input */
val_tensione = num_decimale*conv;       //valore in Volt della tensione acquisita sul pin_input
//--------------- Scrive sul Serial Monitor i valori -----------------------------------------------------------
  Serial.print("Numero del valore convertito: "); //visualizza sul monitor seriale senza andare a capo
  Serial.print(num_decimale);                          
  Serial.print("  -->  ");                             
  Serial.print("Valore della tensione: ");        
  Serial.println(val_tensione,4);              /* visualizza sul monitor seriale valori con 4 cifre decimali, 
                                                  andando a capo alla fine  */
}
