//Sketch per generare una sequenza di coppie di bit predefinita
//
//--- dichiarazione iniziale delle variabili globali (opzionale in questo caso) -----------
  //per maggiore chiarezza denominiamo i pin 7 e 8 come BIT A e BIT B un nome significativo
#define BIT_A 7    
#define BIT_B 8
//--------------------- SETUP INIZIALE -----------------------------------------------------
void setup() {
  // Le istruzioni per il setup iniziale vengono eseguite una sola volta:
   
  pinMode(BIT_A,OUTPUT);  // imposta come pin di uscita i pin 7 (BIT_A) e 8 (BIT_B)
  pinMode(BIT_B,OUTPUT);
}

//-------------------- ISTRUZIONI ESEGUITE IN MODO RIPETITIVO --------------------------------------
void loop() {
 // codice principale, viene eseguito in modo ripetitivo:
  digitalWrite(BIT_A,LOW);  // porta a livello basso i pin 7 e 8  e 8 per avere  
  digitalWrite(BIT_B,LOW);  // sulle due uscite la coppia di bit: BIT_A = 0 BIT_B= 0
  delay(1);                 // mantieni i livelli per 1 ms
  digitalWrite(BIT_A,LOW);  // porta a livello basso il pin 7 e alto il pin 8 per avere  
  digitalWrite(BIT_B,HIGH); // sulle due uscite la coppia di bit: BIT_A = 0 BIT_B= 1
  delay(1);                 // mantieni i livelli per 1 ms
  digitalWrite(BIT_A,HIGH); // porta a livello alto il pin 7 e basso il pin 8 per avere  
  digitalWrite(BIT_B,LOW);  // sulle due uscite la coppia di bit: BIT_A = 1 BIT_B= 0
  delay(1);                 // mantieni i livelli per 1 ms
  digitalWrite(BIT_A,HIGH);  // porta a livello basso il pin 7 e alto il pin 8 per avere 
  digitalWrite(BIT_B,HIGH);  // sulle due uscite la coppia di bit: BIT_A = 1 BIT_B = 1
  delay(1);                  // mantieni i livelli per 1 ms
                
}
//---------------------------------------------------------------------------------------------------
